CentOS6.0にImageMagickをyumコマンドでインストールした記録

# convert -version
-bash: convert: command not found

あら、標準で入ってないのね…というわけで、CentOS6にImageMagickをインストールしてみました。

# yum install ImageMagick ImageMagick-devel

そしらた、まー依存パッケージの多いこと!

Installed:
ImageMagick.x86_64 0:6.5.4.7-6.el6_2                             ImageMagick-devel.x86_64 0:6.5.4.7-6.el6_2
Dependency Installed:
ConsoleKit.x86_64 0:0.4.1-3.el6                ConsoleKit-libs.x86_64 0:0.4.1-3.el6        GConf2.x86_64 0:2.28.0-6.el6
ORBit2.x86_64 0:2.14.17-3.2.el6_3              atk.x86_64 0:1.28.0-2.el6                   avahi-libs.x86_64 0:0.6.25-12.el6
bzip2-devel.x86_64 0:1.0.5-7.el6_0             cairo.x86_64 0:1.8.8-3.1.el6                cups-libs.x86_64 1:1.4.2-50.el6_4.4
dbus.x86_64 1:1.2.24-7.el6_3                   eggdbus.x86_64 0:0.6-3.el6                  freetype-devel.x86_64 0:2.3.11-14.el6_3.1
ghostscript.x86_64 0:8.70-15.el6_4.1           ghostscript-devel.x86_64 0:8.70-15.el6_4.1  ghostscript-fonts.noarch 0:5.50-23.1.el6
gnutls.x86_64 0:2.8.5-10.el6_4.1               gtk2.x86_64 0:2.18.9-12.el6                 hicolor-icon-theme.noarch 0:0.11-1.1.el6
jasper-devel.x86_64 0:1.900.1-15.el6_1.1       jasper-libs.x86_64 0:1.900.1-15.el6_1.1     lcms-devel.x86_64 0:1.19-1.el6
lcms-libs.x86_64 0:1.19-1.el6                  libICE.x86_64 0:1.0.6-1.el6                 libICE-devel.x86_64 0:1.0.6-1.el6
libIDL.x86_64 0:0.8.13-2.1.el6                 libSM.x86_64 0:1.2.1-2.el6                  libSM-devel.x86_64 0:1.2.1-2.el6
libX11-devel.x86_64 0:1.5.0-4.el6              libXau-devel.x86_64 0:1.0.6-4.el6           libXcomposite.x86_64 0:0.4.3-4.el6
libXcursor.x86_64 0:1.1.13-2.el6               libXdamage.x86_64 0:1.1.3-4.el6             libXext.x86_64 0:1.3.1-2.el6
libXext-devel.x86_64 0:1.3.1-2.el6             libXfixes.x86_64 0:5.0-3.el6                libXfont.x86_64 0:1.4.5-2.el6
libXft.x86_64 0:2.3.1-2.el6                    libXi.x86_64 0:1.6.1-3.el6                  libXinerama.x86_64 0:1.1.2-2.el6
libXrandr.x86_64 0:1.4.0-1.el6                 libXrender.x86_64 0:0.9.7-2.el6             libXt.x86_64 0:1.1.3-1.el6
libXt-devel.x86_64 0:1.1.3-1.el6               libcroco.x86_64 0:0.6.2-5.el6               libfontenc.x86_64 0:1.0.5-2.el6
libgomp.x86_64 0:4.4.7-3.el6                   libgsf.x86_64 0:1.14.15-5.el6               libjpeg-turbo-devel.x86_64 0:1.2.1-1.el6
librsvg2.x86_64 0:2.26.0-5.el6_1.1.0.1.centos  libtasn1.x86_64 0:2.3-3.el6_2.1             libthai.x86_64 0:0.1.12-3.el6
libtiff.x86_64 0:3.9.4-9.el6_3                 libtiff-devel.x86_64 0:3.9.4-9.el6_3        libwmf-lite.x86_64 0:0.2.8.4-22.el6.centos
libxcb-devel.x86_64 0:1.8.1-1.el6              pango.x86_64 0:1.28.1-7.el6_3               pixman.x86_64 0:0.26.2-5.el6_4
pkgconfig.x86_64 1:0.23-9.1.el6                polkit.x86_64 0:0.96-2.el6_0.1              sgml-common.noarch 0:0.6.3-32.el6
urw-fonts.noarch 0:2.4-10.el6                  xorg-x11-font-utils.x86_64 1:7.2-11.el6     xorg-x11-proto-devel.noarch 0:7.6-25.el6
zlib-devel.x86_64 0:1.2.3-29.el6
Dependency Updated:
bzip2-libs.x86_64 0:1.0.5-7.el6_0  dbus-libs.x86_64 1:1.2.24-7.el6_3 freetype.x86_64 0:2.3.11-14.el6_3.1 libX11.x86_64 0:1.5.0-4.el6
libX11-common.noarch 0:1.5.0-4.el6 libXau.x86_64 0:1.0.6-4.el6       libxcb.x86_64 0:1.8.1-1.el6         zlib.x86_64 0:1.2.3-29.el6
Complete!

ともあれ、インストールは出来たようなので、確認。

# convert -version
Version: ImageMagick 6.5.4-7 2012-05-07 Q16 OpenMP http://www.imagemagick.org
Copyright: Copyright (C) 1999-2009 ImageMagick Studio LLC

依存パッケージの多さにビビりましたが、無事インストールすることができました。

このページをシェアする

コメントを残す

メールアドレスが公開されることはありません。

2013-05-24